WHICH(1)

NUME
which - afișează ruta completă a comenzilor (shell)

SINOPSIS
which [opțiuni] [--] nume-program [...]

DESCRIERE
which primește unul sau mai multe argumente. Pentru fiecare dintre argumentele sale, imprimă la ieșirea standard ruta completă a executabilelor care ar fi fost executate dacă acest argument ar fi fost introdus la promptul shell-ului. Pentru a face acest lucru, caută un executabil sau un script în directoarele enumerate în variabila de mediu PATH folosind același algoritm ca și bash(1). Această pagină de manual este generată din fișierul which.texinfo.

OPȚIUNI

--all, -a
    Imprimă toate executabilele care se potrivesc în PATH, nu doar primul.

--read-alias, -i
    Citește pseudonimele de la intrarea standard și le raportează pe cele care se potrivesc la ieșirea standard. Acest lucru este util în combinație cu utilizarea unui alias pentru care se utilizează. De exemplu
    alias which=’alias | which -i’.

--skip-alias
    Ignoră opțiunea „--read-alias”, dacă există. Acest lucru este util pentru a căuta în mod explicit fișiere binare normale, în timp ce se utilizează opțiunea „--read-alias” într-un alias sau într-o funcție pentru «which».

--read-functions
    Citește definițiile funcțiilor de shell de la intrarea standard și le raportează pe cele care corespund la ieșirea standard. Acest lucru este util în combinație cu utilizarea unei funcții de shell pentru «which» însuși. De exemplu:
    which() { declare -f | which --read-functions $@ }
    export -f which

--skip-functions
    Ignoră opțiunea „--read-functions”, dacă există. Acest lucru este util pentru a căuta în mod explicit fișiere binare normale, în timp ce se utilizează opțiunea ”--read-functions” într-un alias sau într-o funcție pentru «which».

--skip-dot
    Omite directoarele din PATH care încep cu un punct.

--skip-tilde
    Omite directoarele din PATH care încep cu o tildă și executabilele care se află în directorul HOME.

--show-dot
    Dacă un director din PATH începe cu un punct și a fost găsit un executabil corespunzător pentru acea rută, atunci se afișează „./numeleprogramului” în loc de ruta completă.

--show-tilde
    Emite o tildă atunci când un director se potrivește cu directorul HOME. Această opțiune este ignorată atunci când «which» este invocat ca root.

--tty-only
    Oprește procesarea opțiunilor din dreapta dacă nu este pe terminal.

--version,-v,-V
    Afișează informațiile despre versiune la ieșirea standard, apoi iese cu succes.

--help
    Afișează informațiile de utilizare la ieșirea standard, apoi iese cu succes.

VALOAREA RETURNATĂ
which returnează numărul de argumente nereușite, sau -1 dacă nu a fost dat niciun „nume-program”.

EXEMPLU
Modalitatea recomandată de utilizare a acestui instrument este adăugarea unui alias (C shell) sau a unei funcții shell (Bourne shell) pentru which, cum ar fi următoarea: [ba]sh:
which ()
{
  (alias; declare -f) | /usr/bin/which --tty-only --read-alias --read-functions --show-tilde --show-dot $@
}
export -f which
[t]csh:
alias which 'alias | /usr/bin/which --tty-only --read-alias --show-dot --show-tilde'
Acest lucru va imprima ~/ și ./ lizibile atunci când se pornește de la prompt, în timp ce va imprima în continuare ruta completă atunci când este utilizat dintr-un script:
> which q2
~/bin/q2
> echo $(which q2)
/home/carlo/bin/q2

ERORI
Directorul HOME este determinat prin căutarea variabilei de mediu HOME, care se întrerupe dacă această variabilă nu există. which va considera două directoare echivalente ca fiind diferite atunci când unul dintre ele conține o rută cu o legătură simbolică.

AUTOR
Carlo Wood <carlo@gnu.org>

CONSULTAȚI ȘI
bash(1)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.